
import Metal
import MetalKit

#if os(macOS)
import Cocoa
typealias NSUIViewController = NSViewController
#else
import UIKit
typealias NSUIViewController = UIViewController
#endif

class ViewController: NSUIViewController {

    override func viewDidLoad() {
        super.viewDidLoad()
        
        let imageView = view as! MetalImageView

        let device = imageView.metalContext.device

        let basisLoader = MBEBasisTextureLoader(device: device)
        
        let foxURL = Bundle.main.url(forResource: "fox", withExtension: "basis")!
        
        let options: [MBEBasisTextureLoader.Option : Any] = [
            ://.pixelFormat: MTLPixelFormat.bc7_rgbaUnorm.rawValue
        ]
        basisLoader.newTexture(URL: foxURL, options: options) { (texture, error) in
            imageView.texture = texture
        }
    }
}
